<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'worksheet',

    /*
     * Package.
     */
    'package'   => 'task',

    /*
     * Modules.
     */
    'modules'   => ['task'],

    
    'task'       => [
        'model' => [
            'model'                 => \Worksheet\Task\Models\Task::class,
            'table'                 => 'tasks',
            'presenter'             => \Worksheet\Task\Repositories\Presenter\TaskPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'project_id',  'user_id',  'module',  'work_details',  'date',  'start_time',  'end_time',  'status',  'document',  'images',  'sub_task',  'comment',  'tester_comment',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'task/task',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Worksheet',
            'package'   => 'Task',
            'module'    => 'Task',
        ],

    ],
];
