<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTasksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: tasks
         */
        Schema::create('tasks', function ($table) {
            $table->increments('id');
            $table->integer('project_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('module', 20)->nullable();
            $table->text('work_details')->nullable();
            $table->timestamp('date')->nullable();
            $table->time('start_time')->nullable();
            $table->time('end_time')->nullable();
            $table->enum('status', ['start','completed','tested','bug_completed'])->nullable();
            $table->text('document')->nullable();
            $table->text('images')->nullable();
            $table->text('sub_task')->nullable();
            $table->text('comment')->nullable();
            $table->text('tester_comment')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('tasks');
    }
}
