<?php

namespace Worksheet\Task\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TaskTransformer extends TransformerAbstract
{
    public function transform(\Worksheet\Task\Models\Task $task)
    {
        return [
            'id'                => $task->getRouteKey(),
            'key'               => [
                'public'    => $task->getPublicKey(),
                'route'     => $task->getRouteKey(),
            ], 
            'project_id'        => $task->project_id,
            'user_id'           => $task->user_id,
            'module'            => $task->module,
            'work_details'      => $task->work_details,
            'date'              => $task->date,
            'start_time'        => $task->start_time,
            'end_time'          => $task->end_time,
            'document'          => $task->document,
            'images'            => $task->images,
            'sub_task'          => $task->sub_task,
            'comment'           => $task->comment,
            'tester_comment'    => $task->tester_comment,
            'deleted_at'        => $task->deleted_at,
            'url'               => [
                'public'    => trans_url('task/'.$task->getPublicKey()),
                'user'      => guard_url('task/task/'.$task->getRouteKey()),
            ], 
            'status'            => trans('app.'.$task->status),
            'created_at'        => format_date($task->created_at),
            'updated_at'        => format_date($task->updated_at),
        ];
    }
}